View Issue Details

IDProjectCategoryView StatusLast Update
0024528mantisbtattachmentspublic2018-06-22 02:40
ReportergcellAssigned Toatrol 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionno change required 
Product Version 
Target VersionFixed in Version 
Summary0024528: Issues with attacments old and new after update from 1.6.x to 2.1.x
Description

We are not able, after migratio, to insert new attachments and download old ones.

Here some further info:

  • we did a warm-up in test environment ad all worked well;
  • old and new version fields in file are identicaL (ie: the ID of the attached file);
  • between test and production environment there are no differences in property files;
  • the generated url to download the attached file is ok (as old one version ), and file IDs in URL match to the ones in the DBs (old and new)..

Are there any other propery to set more than those ones in config_inc.php ?

$g_hostname = 'xxxx.xxxx.xxxx';
$g_database_name = 'mantis';
$g_db_username = 'mantisuser';
$g_db_password = 'xxxx';
$g_crypto_master_salt = 'xxxx';
$g_allow_signup = ON;
$g_allow_anonymous_login = OFF;
$g_anonymous_account = '';
$g_phpMailer_method = PHPMAILER_METHOD_MAIL;
$g_smtp_host = 'smtpX.intranet.servizi';
$g_smtp_username = '';
$g_smtp_password = '';
$g_webmaster_email = 'webmaster@example.com';
$g_from_email = 'mantisbt@bancopopolare.it';
$g_return_path_email = 'mantisbt@bancopopolare.it';
$g_from_name = 'Mantis Bug Tracker';
$g_window_title = 'BancoPopolare - TestMantisBT';
$g_logo_image = 'images/mantis_logo.png';
$g_favicon_image = 'images/favicon.ico';

TagsNo tags attached.

Activities

atrol

atrol

2018-06-07 03:58

developer   ~0060025

1.6.x to 2.1.x

1.6.x does not exist. Which is the right one?
Do not use 2.1.x, use the latest one, which is 2.15.0 at the moment.

We are not able, after migratio, to insert new attachments and download old ones.

What does We are not able mean?
Do you get errors? If so, which ones?

Run admin/check/index.php and fix at least the errors you might get.

gcell

gcell

2018-06-07 04:19

reporter   ~0060026

Sorry for incorrect info:
We came from the last 1.x.x version (by now I do not remember) and the current version is the 2.14
"We are not able" means two things:
1) if we try to insert an attached file in a note, without any error the note is inserted but the file is not attached;
2) if we try to open a attached of a migrated note the opened page is completly blank

atrol

atrol

2018-06-07 04:24

developer   ~0060027

Did you run admin/check/index.php ?

gcell

gcell

2018-06-07 04:30

reporter   ~0060029

Yes, my colleque are trying to fix...
Do you notice something may originate our issue?



Schermata152.png (65,108 bytes)
Schermata152.png (65,108 bytes)
atrol

atrol

2018-06-07 04:36

developer   ~0060031

First you have to fix the E-Mail issue, after that run again the check script which will perform additional tests.

gcell

gcell

2018-06-11 03:01

reporter   ~0060057

That's ok!
was missing the line extension=php_fileinfo.dll in file php.ini
Thank you

Issue History

Date Modified Username Field Change
2018-06-07 03:29 gcell New Issue
2018-06-07 03:58 atrol Status new => feedback
2018-06-07 03:58 atrol Note Added: 0060025
2018-06-07 04:19 gcell Note Added: 0060026
2018-06-07 04:19 gcell Status feedback => new
2018-06-07 04:24 atrol Status new => feedback
2018-06-07 04:24 atrol Note Added: 0060027
2018-06-07 04:30 gcell File Added: Schermata152.png
2018-06-07 04:30 gcell Note Added: 0060029
2018-06-07 04:30 gcell Status feedback => new
2018-06-07 04:36 atrol Status new => feedback
2018-06-07 04:36 atrol Note Added: 0060031
2018-06-11 03:01 gcell Note Added: 0060057
2018-06-11 03:01 gcell Status feedback => new
2018-06-11 03:10 atrol Assigned To => atrol
2018-06-11 03:10 atrol Status new => resolved
2018-06-11 03:10 atrol Resolution open => no change required
2018-06-22 02:40 atrol Status resolved => closed